| Classes - Annotated - Tree - Functions - Home - Structure

# QNPStream Class Reference

A stream of data provided to a QNPInstance by the browser.

This class is part of the Qt NSPlugin Extension. More...

`#include <qnp.h>`

List of all member functions.

## Public Members

- ~QNPStream ()
- const char* url () const
- uint end () const
- uint lastModified () const
- const char* type () const
- bool seekable () const
- bool okay () const
- bool complete () const
- void requestRead ( int offset, uint length )
- int write ( int len, void * buffer )
- QNPInstance* instance ()
- QNPStream ( QNPInstance *, const char *, _NPStream *, bool )
- void setOkay ( bool ) (internal)
- void setComplete ( bool ) (internal)

## Detailed Description

This class is defined in the Qt NSPlugin Extension, which can be found in the `qt/extensions` directory. It is not included in the main Qt API.

A stream of data provided to a QNPInstance by the browser.

Note that this is neither a QTextStream or a QDataStream.

See also QNPInstance::write() and QNPInstance::newStreamCreated().

Examples: qtimage/qtimage.cpp grapher/grapher.cpp

## Member Function Documentation

### QNPStream::QNPStream ( QNPInstance * in,const char * mt, _NPStream * st, bool se )

Creates a stream. Plugins should not call this, but rather QNPInstance::newStream() if a stream is required.

### QNPStream::~QNPStream ()

Destroys the stream.

### bool QNPStream::complete () const

Returns TRUE if the stream has received all the data from the source.

### uint QNPStream::end () const

Returns the length of the stream (???).

### QNPInstance* QNPStream::instance ()

Returns the QNPInstance for which this stream was created.

### uint QNPStream::lastModified () const

Returns the time when the source of the stream was last modified.

### bool QNPStream::okay () const

Returns TRUE if no errors have occurred on the stream.

### void QNPStream::requestRead ( int offset, uint length )

Requests the given section of the stream be sent to the QNPInstance::write() function of the instance() of this stream.

### bool QNPStream::seekable () const

Returns TRUE if the stream is seekable.

### const char* QNPStream::type () const

Returns the MIME type of the stream.

### const char* QNPStream::url () const

Returns the URL from which the stream was created.

### int QNPStream::write ( int len, void * buffer )

Writes data to the stream.

### void QNPStream::setComplete ( bool y )

For internal use only.

### void QNPStream::setOkay ( bool y )

For internal use only.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.